<?php
/**
 * This extension is a wrapper of JQuery Plugin Long Press by TOKI WOKI.
 * @link http://toki-woki.net/lab/long-press
 *
 * @author turi
 * @version 1.0
 */
class ELongPress extends CWidget {

    /**
     * target element on DOM
     * @var string 
     */
    public $target;

    /**
     * init widget 
     */
    public function init() {

        // register the required assets
        $this->registerAssets();

        parent::init();
    }

    /**
     * run the widget
     */
    public function run() {
        Yii::app()->clientScript->registerScript($this->getId(), "
			$('$this->target').first().longPress();
		");
    }

    /**
     * register assets
     * @return mixed
     */
    public function registerAssets() {
        $assets = dirname(__FILE__) . '/assets';
        $baseUrl = Yii::app()->assetManager->publish($assets);
        if (is_dir($assets)) {
            Yii::app()->clientScript->registerScriptFile($baseUrl . '/js/vendor/jquery-1.8.2.min.js', CClientScript::POS_END);
            Yii::app()->clientScript->registerScriptFile($baseUrl . '/js/jquery.mousewheel.js', CClientScript::POS_END);
            Yii::app()->clientScript->registerScriptFile($baseUrl . '/js/plugins.js', CClientScript::POS_END);
            Yii::app()->clientScript->registerScriptFile($baseUrl . '/js/jquery.longpress.js', CClientScript::POS_END);
            Yii::app()->clientScript->registerCssFile($baseUrl . '/css/app.css');
        } else {
            throw new Exception('ELongPress - Error: Couldn\'t find assets to register.');
        }
    }

}

?>
